package com.hzs.member.statis.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hzs.common.domain.member.statis.CuBonusVertexStatis;
import com.hzs.member.statis.vo.CuBonusLenjoyStatisVO;

import java.util.List;

/**
 * 奖金拨比零线统计 服务类
 */
public interface ICuBonusLenjoyStatisService extends IService<CuBonusVertexStatis> {

    /**
     * 奖金拨比列表
     **/
    List<CuBonusLenjoyStatisVO> queryCuBonusStatis(CuBonusLenjoyStatisVO CuBonusLenjoyStatisVO);

    /**
     * 奖金拨比列表统计小计（最后一行）
     **/
    CuBonusLenjoyStatisVO queryCuBonusSumStatis(CuBonusLenjoyStatisVO CuBonusLenjoyStatisVO);

    /**
     * 7天重算顶点奖金拨比统计
     **/
    Boolean anewStatisHistoryBonus(String startDate, String endDate);

    /**
     * 删除奖金拨比统计表数据
     **/
    Boolean delStatis(String startDate, String endDate, List<Integer> pkVertexList);

    /**
     * 查询中国奖金
     **/
    List<CuBonusLenjoyStatisVO> queryChinaCountryBonus(CuBonusLenjoyStatisVO CuBonusLenjoyStatisVO);

    /**
     * 查询所有体系
     **/
    List<CuBonusLenjoyStatisVO> vertexList(Integer pkVertex);

}
